<?php

namespace App\Http\Controllers;

use App\Models\Programs;
use Illuminate\Routing\Controller as BaseController;

class ProgramQueryController extends BaseController
{
    public function index() {
        $keyword = request()->get("keyword", "");
        $programs = Programs::query()->with(["appends", "video_pivots.video"])->limit(15)->orderByDesc("created_at")->get();
        return view("program", [
            "keyword" => $keyword,
            "programs"=>$programs,
        ]);
    }
}
